GraphiQL open_in_new

# `GitActor`

Represents an actor in a Git commit (ie. an author or committer).

## GraphQL Schema definition `

- type GitActor {
- # A URL pointing to the author's public avatar.
- #
- # Arguments
- # size: The size of the resulting square
- # image.
- avatarURL(size: Int): String!
- # The timestamp of the Git action (authoring or committing).
- date: GitTimestamp
- # The email in the Git commit.
- email: String
- # The name in the Git commit.
- name: String
- # The GitHub user corresponding to the email field. Null
- # if no such user exists.
- user: User
- }

`